<template>
    <div class="cont-social">
        <a :href="social.fb" onclick="window.open(this.href); return false;" v-if="social.fb"><img src="~/static/network/fb.png" /></a>
        <a :href="social.lkdn" onclick="window.open(this.href); return false;" v-if="social.lkdn"><img src="~/static/network/lkdn.png"/></a>
        <a :href="social.twt" onclick="window.open(this.href); return false;" v-if="social.twt"><img src="~/static/network/twt.png"/></a>
        <a :href="social.insta" onclick="window.open(this.href); return false;" v-if="social.insta"><img src="~/static/network/insta.png"/></a>
        <a :href="social.github" onclick="window.open(this.href); return false;" v-if="social.github"><img src="~/static/network/github.png"/></a>
        <a :href="social.gitlab" onclick="window.open(this.href); return false;" v-if="social.gitlab"><img src="~/static/network/gitlab.png"/></a>
        <a :href="social.so" onclick="window.open(this.href); return false;" v-if="social.so"><img src="~/static/network/so.png"/></a>
        <div v-for="other in social.others" :key="other.id">
            <a :href="other" onclick="window.open(this.href); return false;"><img src="~/static/network/others.png"/></a>
        </div>
    </div>
</template>

<script>
export default {
    props: [
        "social"
    ]
}
</script>

<style lang="postcss" scoped>

    .cont-social {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
    }
    img {
        width: 50px;
        height: 50px;
    }

</style>
